Bug 221677 - Review Request: atmel-firmware - Firmware for Atmel at76c50x wireless network chips
Review Request: atmel-firmware - Firmware for Atmel at76c50x wireless network...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-05 18:42 EST by Nicolas Chauvet (kwizart)
Modified: 2014-03-16 23:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-26 20:07:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
katzj: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-01-05 18:42:10 EST
Spec URL: 
http://kwizart.free.fr/fedora/6/testing/at76_usb/at76_usb-firmware.spec
SRPM URL: http://kwizart.free.fr/fedora/6/testing/at76_usb/at76_usb-firmware-0.1-1.kwizart.fc6.src.rpm
Description: 
Firmware for Atmel AT76C503A based USB WLAN adapters

This is needed at least to build a usable livecd...
Saw here: http://fedoraproject.org/wiki/Releases/FeatureWirelessFirmware
I have made no search about legal issues yet!
I will do it

Kernel external modules also exist but may be integrated in the kernel, soon or not... I will try to inform this tread...
Comment 1 Bill Nottingham 2007-03-19 15:53:08 EDT
Review:

MUST - Package content is acceptable - ***

Waiting on driver acceptance. Aside from that, OK.

MUST - Package name follows guidelines - OK
MUST - Spec file name is %{name}.spec - OK
MUST - Package follows Packaging Guidelines - ***

Description: 'another' isn't really right.

%install - see notes under 'rpmlint output' section below.

Source: Please use a full URL to the berlios download URL.

MUST - BuildRoot is OK - OK
MUST - License is OK - OK
MUST - License is properly tagged - ***

Per firmware packaging guidelines, should be:

License: Redistributable, no modification permitted

MUST - License is included in package - OK
MUST - Spec is in english, and legible - OK
MUST - Sources match upstream - OK
MUST - Package builds - OK
MUST - Package has proper arch settings - OK
MUST - Package has proper BuildRequires - OK
MUST - Package handles locales properly - N/A
MUST - Package has proper %post scriplets for ldconfig - N/A
MUST - Package owns proper directories - N/A
MUST - Does not own directories it shouldn't - OK
MUST - Package is relocatable if necessary - N/A
MUST - Package has no duplicate files  - N/A
MUST - Package has proper file permissions - N/A
MUST - Package has %clean - OK
MUST - Package uses macros consistently - OK
MUST - Package uses -doc, if needed - N/A
MUST - Headers in -devel, if needed - N/A
MUST - Static libs in -static - N/A
MUST - Uses pkgconfig correctly - N/A
MUST - Packages .so correctly - N/A
MUST - Subpackages have proper Requires: - N/A
MUST - Handles libtool correctly  - N/A
MUST - Uses .desktop, if necessary - N/A

SHOULD - Package includes license as file - OK
SHOULD - Builds in mock - OK
SHOULD - Package functions - Can't test (no hardware)
SHOULD - Scriptlets are sane - N/A
SHOULD - File dependencies are sane - N/A

rpmlint output:

Source:

E: at76_usb-firmware hardcoded-library-path in /lib/firmware/${i}.at76_usb
E: at76_usb-firmware hardcoded-library-path in $RPM_BUILD_ROOT/lib/firmware
E: at76_usb-firmware hardcoded-library-path in $RPM_BUILD_ROOT/lib/firmware
E: at76_usb-firmware hardcoded-library-path in $RPM_BUILD_ROOT/lib/firmware
E: at76_usb-firmware hardcoded-library-path in /lib/firmware/*

OK for firmware.

W: at76_usb-firmware macro-in-%changelog doc

Please fix, use %%doc in %changelog.

E: at76_usb-firmware no-cleaning-of-buildroot %install

You need 'rm -rf $RPM_BUILD_ROOT' at the start of %install.

Binary:

W: at76_usb-firmware symlink-should-be-relative
/usr/share/doc/at76_usb-firmware-0.1/README /lib/firmware/README.at76_usb
W: at76_usb-firmware symlink-should-be-relative
/usr/share/doc/at76_usb-firmware-0.1/COPYRIGHT /lib/firmware/COPYRIGHT.at76_usb

This is OK.

Please correct the above, and it should then be OK, pending driver acceptance.
Comment 2 Nicolas Chauvet (kwizart) 2007-03-19 20:37:28 EDT
This is a new version:
atmel-firmware 1.3 bundle both pci and usb firmwares.
but at76_usb-firmware 0.1 update the firmware images for usb to curent 0.14beta1
Only the pci version is bundled inside the kernel. Usb version may need to be
patched for theses version to work
So i have bundled both pci and updated usb firmware images...

From this patch "official website"
http://atmelwlandriver.sourceforge.net/downloads.html
there is a need to patch the kernel to allow usb devices to work... But i wonder
if it will work since the patch don't seem to get updated for a while...

I do not own an atmel chipset (neither pci no usb).
But i've made an external kernel module that work fine (this was asked on the
fedora-fr.org forum and reported to work for at least two persons)
The kmod are build from this source: (version 0.14beta1)
http://developer.berlios.de/projects/at76c503a/

This chipset seems not to be so common....

SRPMS:
http://kwizart.free.fr/fedora/6/testing/at76_usb/atmel-firmware-1.3-1.kwizart.fc6.src.rpm
SPECS:
http://kwizart.free.fr/fedora/6/testing/at76_usb/atmel-firmware.spec
Summary: Firmware for Atmel at76c50x wireless network chips


Comment 3 Jason Tibbitts 2007-06-01 23:34:17 EDT
Is anyone actually reviewing this package?  fedora-review is set to '?' but it's
blocking FE-NEW and isn't assigned to anyone.

notting, it looks like you set the flag; did you intend to take this package?
Comment 4 Jason Tibbitts 2007-07-28 12:23:19 EDT
I'm still not sure what's going on here, but I'l at least clear the FE-NEW blocker.

It looks like notting didn't see my past comment because he's not cc'd on the
ticket. I generally avoid CCing others on tickets but in this case I guess I
have to.

So, notting, you set fedora-review and made some comments, but never assigned
yourself or CC'd yourself on this ticket, so it dropped off of the new ticket
list but received no further review commentary.  Did you want to finish
reviewing it?
Comment 5 Bill Nottingham 2007-07-30 11:31:10 EDT
I'll take it, but I might not get to it for a few days.
Comment 6 John W. Linville 2007-08-24 10:09:40 EDT
The at76_usb driver is now in rawhide.  In fact, this message brought to you by
it, with the firmware from kwizart's rebuilt src.rpm package.
Comment 7 Nicolas Chauvet (kwizart) 2007-08-24 10:53:35 EDT
Good news ! i will drop the at76_usb kmod soon then!
Thx for this feedback linville!

I'm know waiting for reviewer advice (i will probably drop the dist tag, which
is not relevant for firmwares... )
Comment 8 Jeremy Katz 2007-08-24 11:31:12 EDT
Bill's out on vacation and wrapping this up for test2 would be good.  All of
Bill's comments have been addressed and a quick check over stuff myself also
looks sane.  So approved.

Leaving dist tag or not I leave up to you; it doesn't really make a big
difference either way.
Comment 9 Nicolas Chauvet (kwizart) 2007-08-24 11:47:38 EDT
Thanks for the review!
I will remove the dist tag and build for F-7 so it will be available into the
rawhide repository without a fc7 tag...
I can do EPEL's later if needed...

New Package CVS Request
=======================
Package Name:      atmel-firmware
Short Description: Firmware for Atmel at76c50x wireless network chips
Owners:            kwizart / kwizart@gmail.com
Branches:          F-7 devel
InitialCC:         <empty>
Commits by cvsextras: yes
Comment 10 Kevin Fenzi 2007-08-26 18:05:04 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.